module "werts_appwrite_cloud_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "appwrite_cloud"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://cloud.appwrite.io/v1/account/sessions/oauth2/callback/oidc/6514da21c115f4a89bcd"]

  vault_secret_name = "k8s-ns/appwrite_cloud/werts-oidc"
}

output "appwrite_cloud_client_id" {
    value = module.werts_appwrite_cloud_oidc_client
    sensitive = true
}
