module "werts_mastodon_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "mastodon"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://mastodon.werts.us/auth/auth/openid_connect/callback"]

  vault_secret_name = "k8s-ns/mastodon/werts-oidc"
}

output "mastodon_client_id" {
    value = module.werts_mastodon_oidc_client
    sensitive = true
}
