module "werts_oauth_proxy_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "oauthproxy"
  keepers        = { epoch = 1 }
  redirect_uris  = [
    "https://auth.werts.us/oauth2/callback",
    "https://auth.strudelline.net/oauth2/callback",
  ]

  kubernetes_secret_name = "oidc-client"
  kubernetes_secret_namespace = "keycloak"
}

output "oauth_proxy_client_id" {
    value = module.werts_oauth_proxy_oidc_client
    sensitive = true
}
