module "k8s_windmill_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "k8s-windmill"
  keepers        = { epoch = 1 }
  # vvvvvvvvvvvvvvv REMEMBER TO CHANGE THE REDIRECT vvvvvvvvvvvvvvv
  redirect_uris  = ["https://windmill.strudelline.net/user/login_callback/keycloak"]
}

output "k8s_windmill_client_id" {
    value = module.k8s_windmill_oidc_client
    sensitive = true
}
