module "werts_windmill_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "windmill"
  keepers        = { epoch = 1 }
  # vvvvvvvvvvvvvvv REMEMBER TO CHANGE THE REDIRECT vvvvvvvvvvvvvvv
  redirect_uris  = ["https://windmill.strudelline.net/user/login_callback/keycloak_werts"]

  vault_secret_name = "k8s-ns/windmill/werts-oidc"
}

output "windmill_client_id" {
    value = module.werts_windmill_oidc_client
    sensitive = true
}
